# $Revision: 1.10 $, $Date: 2010/03/11 12:06:14 $
%bcond_with	python3
#
%define		mod_name	wsgi
%define 	apxs		/usr/sbin/apxs
Summary:	WSGI interface for the Apache Web server
Summary(pl.UTF-8):	Interfejs WSGI dla serwera WWW Apache
Name:		apache-mod_%{mod_name}
Version:	3.2
Release:	1
License:	Apache
Group:		Networking/Daemons
Source0:	http://modwsgi.googlecode.com/files/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	7e4f7f443f562f21f61d1bd06defa1d8
Source1:	%{name}.conf
URL:		http://code.google.com/p/modwsgi/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-7
BuildRequires:	apr-devel >= 1:1.0.0
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with python3}
BuildRequires:	python3-devel
%else
BuildRequires:	python-devel >= 2.3
%endif
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Requires:	apr >= 1:1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		apacheconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d
%define		apachelibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)

%description
The mod_wsgi adapter is an Apache module that provides a WSGI
compliant interface for hosting Python based web applications within
Apache. The adapter is written completely in C code against the Apache
C runtime and for hosting WSGI applications within Apache has a lower
overhead than using existing WSGI adapters for mod_python or CGI.

%description -l pl.UTF-8
Adapter mod_wsgi jest modułem udostępniającym interfejs WSGI dla
aplikacji WWW napisanych w języku Python i osadzonych w serwerze
Apache. Adapter jest w całości napisany w języku C w oparciu o
bibliotekę uruchomieniową Apache i ma mniejsze wymagania niż w
przypadku używania istniejących adapterów WSGI dla modułu mod_python
lub CGI.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{__aclocal}
%{__autoconf}
%if %{with python3}
PYTHONBIN=%{__python3}
%else
PYTHONBIN=%{__python}
%endif
%configure \
	--with-apxs=%{apxs} \
	--with-python=$PYTHONBIN

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{apachelibdir},%{apacheconfdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{apacheconfdir}/61_mod_wsgi.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{apacheconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{apachelibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_wsgi.spec,v $
Revision 1.10  2010/03/11 12:06:14  wiget
- up to 3.2
- added python3 bcond

Revision 1.9  2009/05/23 19:17:48  wiget
- updated to 2.5

Revision 1.8  2009/03/13 20:24:07  hawk
- release 2

Revision 1.7  2009/02/03 19:38:33  duddits
- up to 2.3

Revision 1.6  2008/10/03 17:40:03  arekm
- release 3

Revision 1.5  2008-02-09 21:00:47  qboosh
- unified License format

Revision 1.4  2008-01-05 09:48:23  qboosh
- pl fixes

Revision 1.3  2007-12-26 18:38:08  glen
- use conf.d for apache config fragment; rel 2

Revision 1.2  2007-12-09 10:42:24  glen
- apache-apxs -> %{apxs} in BR

Revision 1.1  2007-10-05 13:42:46  patrys
- initial PLD release
- provided by Kamil Jakubowski <jakubowski.kamil@3vnet.pl>
- adapterized
